unit LineOutMin2Unit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, Series, TeeEdit, StdCtrls;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    Chart2: TChart;
    ChartEditor1: TChartEditor;
    chkSetMin: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Chart1DblClick(Sender: TObject);
    procedure chkSetMinClick(Sender: TObject);
  private
    LineSeries1, LineSeries2: TLineSeries;
    FastLineSeries1, FastLineSeries2: TFastLineSeries;
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
const
  NumberOfValues = 30;
  xDATD: array[0..29] of single = ( 0,  1,  2,  3,  4,  5,  6,  7,  8,  9,
                                    10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
                                    20, 21, 22, 23, 24, 25, 26, 27, 28, 29
                                    );
  yDATD: array[0..29] of single = ( 0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
                                     0, 10, 11, 20, 20, 22, 30, 37, 38, 39,
                                    40, 32, 31, 30, 20, 11, 7,  5,  0,  0
                                    );
  yDATD2: array[0..29] of single = ( 0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
                                     0,  0,  0,  0,  0, 22, 37, 38, 39,  51,
                                    65, 50, 41, 30, 20, 11, 0,  0,  0,  0
                                    );
var
  xArr, yArr, yArr2: array of single;
  cntr: integer;
begin
  SetLength(xArr, NumberOfValues);
  SetLength(yArr, NumberOfValues);
  SetLength(yArr2, NumberOfValues);

  for cntr := 0 to NumberOfValues - 1 do
  begin
    xArr[cntr] := xDATD[cntr];
    yArr[cntr] := yDATD[cntr];
    yArr2[cntr] := yDATD2[cntr];
  end;

  // for Chart1 with FastLineSeries
  FastLineSeries1 := TFastLineSeries.Create(Chart1);
  FastLineSeries1.parentchart := Chart1;
  FastLineSeries1.SeriesColor := clRed;
  FastLineSeries1.LinePen.Width := 1;
  FastLineSeries2 := TFastLineSeries.Create(Chart1);
  FastLineSeries2.parentchart := Chart1;
  FastLineSeries2.SeriesColor := clGreen;
  FastLineSeries2.LinePen.Width := 1;

  FastLineSeries1.xValues.Value := TChartValues(xArr);
  FastLineSeries1.xValues.Count := NumberOfValues;
  FastLineSeries1.yValues.Value := TChartValues(yArr);
  FastLineSeries1.yValues.Count := NumberOfValues;
  FastLineSeries2.xValues.Value := TChartValues(xArr);
  FastLineSeries2.xValues.Count := NumberOfValues;
  FastLineSeries2.yValues.Value := TChartValues(yArr2);
  FastLineSeries2.yValues.Count := NumberOfValues;

  Chart1.View3D := true;
  Chart1.Chart3DPercent := 100;
  Chart1.BottomAxis.AutomaticMinimum := false;
  Chart1.LeftWall.Transparent := true;

  // for Chart2 with LineSeries
  LineSeries1 := TLineSeries.Create(Chart2);
  LineSeries1.parentchart := Chart2;
  LineSeries1.SeriesColor := clRed;
  LineSeries1.LinePen.Width := 1;
  LineSeries2 := TLineSeries.Create(Chart2);
  LineSeries2.parentchart := Chart2;
  LineSeries2.SeriesColor := clGreen;
  LineSeries2.LinePen.Width := 1;

  LineSeries1.xValues.Value := TChartValues(xArr);
  LineSeries1.xValues.Count := NumberOfValues;
  LineSeries1.yValues.Value := TChartValues(yArr);
  LineSeries1.yValues.Count := NumberOfValues;
  LineSeries2.xValues.Value := TChartValues(xArr);
  LineSeries2.xValues.Count := NumberOfValues;
  LineSeries2.yValues.Value := TChartValues(yArr2);
  LineSeries2.yValues.Count := NumberOfValues;

  Chart2.View3D := true;
  Chart2.Chart3DPercent := 100;
  Chart2.BottomAxis.AutomaticMinimum := false;
  Chart2.LeftWall.Transparent := true;
end;

procedure TForm2.chkSetMinClick(Sender: TObject);
begin
  if chkSetMin.Checked then
  begin
    Chart1.BottomAxis.Minimum := 10;
    Chart2.BottomAxis.Minimum := 10
  end
  else
  begin
    Chart1.BottomAxis.Minimum := 0;
    Chart2.BottomAxis.Minimum := 0;
  end;
end;

procedure TForm2.Chart1DblClick(Sender: TObject);
begin
  chartEditor1.Execute;
end;

end.
